OpenTTD Source: CITYChunkHandler Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions
CITYChunkHandler Struct Reference
Inheritance diagram for CITYChunkHandler:

## Public Member Functions
void | Save () const override
| Save the chunk.
void | Load () const override
| Load the chunk.
void | FixPointers () const override
| Fix the pointers.
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
virtual void | LoadCheck (size_t len=0) const
| Load the chunk for game preview.
std::string | GetName () const

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk.

## Detailed Description

Definition at line 283 of file town_sl.cpp.

## Constructor & Destructor Documentation

## ◆ CITYChunkHandler()

CITYChunkHandler::CITYChunkHandler | ( |  | ) |
| inline

Definition at line 284 of file town_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void CITYChunkHandler::FixPointers | ( |  | ) | const
| inlineoverridevirtual

Fix the pointers.

Pointers are saved using the index of the pointed object. On load, pointers are filled with indices and need to be fixed to point to the real object. Must be overridden if the chunk saves any pointer.

Reimplemented from ChunkHandler.

Definition at line 312 of file town_sl.cpp.

References IsSavegameVersionBefore(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::Iterate(), SlObject(), and SLV_161.

## ◆ Load()

void CITYChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 296 of file town_sl.cpp.

References _town_sl_compat, GetStringTab(), IsInsideMM(), SlCompatTableHeader(), SlErrorCorrupt(), SlIterateArray(), and SlObject().

## ◆ Save()

void CITYChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 286 of file town_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::Iterate(), SlObject(), and SlTableHeader().

The documentation for this struct was generated from the following file:

- src/saveload/town_sl.cpp